Get an DCR provider
GET /api/dcr_providers/{dcr_provider_id}
GET /api/dcr_providers/{dcr_provider_id}Interactive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
dcr_provider_id*string
The unique identifier of the DCR Provider.
Match
^[a-zA-Z0-9-_.]+$Length
1 <= length <= 256Response Body
application/json
application/json
curl -X GET "$API_BASE_URL/api/dcr_providers/bd58fce2-b6cc-4d2d-a53c-6ce11b19c101"Successfully retrieved or modified the DCR provider.
{
"value": {
"name": "string",
"provider_type": "oidc",
"issuer": "http://example.com",
"provider_config": {
"base_url": "http://example.com"
},
"headers": {
"Authorization": "Bearer $TOKEN"
},
"desc": "Object description.",
"labels": {
"version": "v2",
"env": "prod"
},
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"created_at": 1742288232,
"updated_at": 1742288235
}
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/dcr_providers/{dcr_provider_id}
Get an DCR provider
IAM Action: portal:GetDCRProvider, Resource: arn:api7:portal:dcrprovider/%s
Parameters
dcr_provider_id(path, string, required): The unique identifier of the DCR Provider.
Responses
200: Successfully retrieved or modified the DCR provider.- allOf variant 1
value(object, optional): The specific resource.- allOf variant 2
value(object, optional):- allOf variant 1
value.name(string, required): The name of the Dynamic Client Registration (DCR) Provider.value.provider_type(string, optional): The type of DCR provider. Use "oidc" for standard OIDC Dynamic Client Registration (RFC 7591/7592), or "http_bridge" for a customer-implemented HTTP Bridge service.value.issuer(string, required): The issuer URL of the Authorization Server. Required for all provider types — used by the data plane (APISIX) for token validation.value.provider_config(object, optional): Provider-specific configuration. Required when provider_type is "http_bridge".value.provider_config.base_url(string, optional): The base URL of the HTTP Bridge service.value.headers(object, optional): Custom headers to include in requests to the Authorization Server or HTTP Bridge.value.desc(string, optional): The object description.value.labels(object, optional): Key-value pairs of labels.- allOf variant 2
value.id(string, optional): The object ID.value.created_at(integer, optional): The object created timestamp.value.updated_at(integer, optional): The object updated timestamp.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/api/dcr_providers/{dcr_provider_id}'